#ifndef _bimpl_h_
#define _bimpl_h_
/****************************************************************************/
/*                                                                          */
/*  ORBeline (c)   is copyrighted by PostModern Computing Technologies, Inc */
/*                                                                          */
/*  Copyright 1993, 1994 by PostModern Computing Technologies, Inc.         */
/*                          1897 Landings Drive                             */
/*                          Mountain View, California, USA                  */
/*                          Telephone (415) 967-6169                        */
/*                          Facsimile (415) 967-6212                        */
/*                                                                          */
/*  This code is the sole property of PostModern Computing Technologies,    */
/*  Inc.  and is  protected  by  copyright under the laws of the United     */
/*  States.   This  program is confidential, proprietary, and  a  trade     */
/*  secret,  not  to  be disclosed  without written authorization  from     */
/*  PostModern Computing Technologies, Inc.  Any use,  duplication,  or     */
/*  disclosure  of  this  program  by other than  PostModern  Computing     */
/*  Technologies, Inc. and its assigned licensees is strictly forbidden     */
/*  by law.                                                                 */
/*                                                                          */
/*  All rights reserved.                                                    */
/*                                                                          */
/****************************************************************************/

class IMPLEventHandler
{
    public:
	IMPLEventHandler() {}
	virtual ~IMPLEventHandler() {}
	virtual void bind(const Principal& /* princ */, 
			const char *  /* interface_name */, 
			const Object& /* Object		*/,
			Environment& ) {}

	virtual void unbind(const Principal& /* princ */,
			const char * /* interface_name */,
			const Object& /* object */ ) {}

	virtual void client_aborted(const Principal& princ, 
			const char *interface_name,
			const Object& object ) {
		unbind(princ, interface_name, object);
	}

	virtual void pre_method(const Principal&,
			const char * /* interface_name */,
			const Object& /* object */, 
			ULong /* method_id */,
			Environment& ) {} 

	virtual void post_method(const Principal&,
			const char * /* interface_name */,
			const Object& /* object */, 
			ULong /* method_id */) {}
				 
};
#endif
